<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../config/database.php';
include_once '../objects/customer.php';
include_once '../objects/sales.php';
date_default_timezone_set('Asia/Rangoon'); 
session_start();
$database = new Database();
$db = $database->getConnection();
 
$customer = new Customer($db);
$sales = new Sales($db);
$data = json_decode(file_get_contents("php://input"));

$customer->name = $data->name;
$customer->phone = $data->phone;
$customer->phone2 = $data->phone2;
$customer->member_type = $data->member_type;
$customer->nrc = $data->nrc;
$customer->address = $data->address;
$customer->city = $data->city;
$customer->entry_by = $_SESSION['user'];
$customer->entry_date_time = date("Y-m-d H:i:s");	



if($data->id){
	$customer->id = $data->id;
	if($customer->update()){
	$sales->customer_id = $data->id;
	$sales->name = $data->name;
	$sales->address = $data->address;
	$sales->city = $data->city;
	$sales->updateFromCustomer();
		$msg_arr = array(
			"message" => "updated"
		);
	}else{
		$msg_arr = array(
			"message" => "errorIU"
		);
	}
}else{
	if($customer->exist()){
        $msg_arr = array(
            "message" => "duplicate"
        );
    }else if($customer->create()){
		$msg_arr = array(
			"message" => "created",
			"id" => $customer->id
		);
	}else{
		$msg_arr = array(
			"message" => "errorc"
		);	
	}
}
echo json_encode($msg_arr);
?>	